Bug 80707 - (Mach64) Rage IIC is screwed up in 4.2.0,4.2.99.x,4.3.0
(Mach64) Rage IIC is screwed up in 4.2.0,4.2.99.x,4.3.0
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-30 02:33 EST by Mike A. Harris
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-03 17:23:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2002-12-30 02:33:27 EST
Rage IIC onboard video on Compaq Proliant ML530 is non-functional with the
"ati" driver in 4.2.99.2 in phoebe and rawhide.

When starting up, the display timings are very screwed resulting in a display
that is very distorted with randomly oscillating chunks on the screen, etc.
It is totally unuseable, although it does run.  You can fiddle enough
to get the GNOME logout dialog and crack a guess as to where to click to logout.

The "vesa" driver has been tested however and seems to work ok.  If this can't
be fixed in time for final release the driver should be resorted to "vesa" in
order to have working video.
Comment 1 Mike A. Harris 2002-12-30 02:37:41 EST
00:05.0 VGA compatible controller: ATI Technologies Inc 3D Rage IIC 215IIC
[Mach64 GT IIC] (rev 7a) (prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc Rage IIC
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping+ SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (2000ns min), cache line size 08
        Region 0: Memory at c5000000 (32-bit, prefetchable) [size=16M]
        Region 1: I/O ports at 2000 [size=256]
        Region 2: Memory at c6bfe000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [5c] Power Management version 1
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:05.0 Class 0300: 1002:4756 (rev 7a)
        Subsystem: 1002:4756
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping+ SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (2000ns min), cache line size 08
        Region 0: Memory at c5000000 (32-bit, prefetchable) [size=16M]
        Region 1: I/O ports at 2000 [size=256]
        Region 2: Memory at c6bfe000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [5c] Power Management version 1
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
Comment 2 Mike A. Harris 2003-01-21 06:27:29 EST
This is still broken in CVS as of today.  Looks like we might have to
change this one to "vesa" soon.
Comment 3 Mike A. Harris 2003-02-12 12:36:09 EST
After doing more testing, oddly enough, I've determined that this problem
is also reproduceable in stock Red Hat Linux 8.0.  Since nobody else has
reported it to us in bugzilla, and I haven't gotten any email, nor seen anyone
mention it on XFree86 mailing lists, I do not consider this a pressing issue
compared to other problems.

It is entirely possible that the video chip onboard my proliant is faulty
also.  I'm not going to debug this until I can get several other people
to confirm the problem is reproduceable for them as well.
Comment 4 Mike A. Harris 2003-02-12 15:04:32 EST
Jeremy Katz indicates that Rage XL works for him higher than 1024x768
ok with our latest tree, so this is likely specific to Rage IIC
Comment 5 Mike A. Harris 2003-02-21 13:12:57 EST
Update: Problem still present in latest builds.  2 other people with
Rage IIC are able to reproduce this.
Comment 6 Mike A. Harris 2003-03-01 19:19:16 EST
Screenshots at:

ftp://people.redhat.com/mharris/pictures/RageIIC
Comment 7 Mike A. Harris 2004-07-12 08:12:22 EDT
Nobody else has reported this problem, and I can't seem to find
similar bug reports in freedesktop or xfree86 bugzilla, nor
googling, so I'm wondering if this problem is a hardware bug or
not.  I'll need to test it on our current OS release to see if
there's a difference before digging into the problem further,
but that wont happen for a while as it isn't yet time to upgrade
that box.

Setting status to "DEFERRED" until my devel.capslock.lan box gets
upgraded to FC2 or later, and I have a chance to test/debug the
issue further.
Comment 10 Mike A. Harris 2006-06-27 13:35:38 EDT
Still haven't upgraded my test box to FC5, but still planning on it.
Comment 11 Matthias Clasen 2006-07-06 17:57:35 EDT
Add to FC6Destop tracker
Comment 12 Mike A. Harris 2006-09-25 18:57:21 EDT
Finally upgraded my test box to FC5 but forgot about this bug..  Will test
soon and update.
Comment 13 Mike A. Harris 2007-04-03 17:23:42 EDT
I still have this machine, but no longer use it actively, and when I do it is
generally exclusively used over the network so video hardware support isn't
that important overall.  I mentioned I'd test it soon and update above, but
to be honest the machine hasn't even been powered on more than once or twice
since then, still running FC5.  Since it isn't a big deal to me overall, and
it's easy to workaround by using lower resolution, and I haven't noticed any
other public bug reports of this nature, either it is fixed now, or it is
a problem with very few people affected by it.

Either way, it shouldn't be a big priority to anyone overall in the big
picture of this since it is ancient hardware.  I'm closing the bug for now
to cut down on clutter in bugzilla, however if I do happen to reproduce it
again in the future, I'll log a new bug report in X.Org bugzilla instead as
that's a better place to track it anyhow.


Note You need to log in before you can comment on or make changes to this bug.